import { HeritiersUtility } from "./heritiers-utility.js";

export const defaultItemImg = {
    competence: "systems/fvtt-les-heritiers/assets/icons/skill.webp",
    avantage: "systems/fvtt-les-heritiers/assets/icons/advantage.webp",  
    desavantage: "systems/fvtt-les-heritiers/assets/icons/disadvantage.webp",  
    contact: "systems/fvtt-les-heritiers/assets/icons/contact.webp",  
    pouvoir: "systems/fvtt-les-heritiers/assets/icons/power.webp",  
    accessoire: "systems/fvtt-les-heritiers/assets/icons/accessoire.webp",  
    arme: "systems/fvtt-les-heritiers/assets/icons/melee.webp",  
    monnaie: "systems/fvtt-les-heritiers/assets/icons/monnaie.webp",  
    protection: "systems/fvtt-les-heritiers/assets/icons/protection.webp",  
    atoutfeerique: "systems/fvtt-les-heritiers/assets/icons/fairy_atout.webp",  
    capacitenaturelle: "systems/fvtt-les-heritiers/assets/icons/natural_capacity.webp",  
}

/**
 * Extend the basic ItemSheet with some very simple modifications
 * @extends {ItemSheet}
 */
export class HeritiersItem extends Item {

  constructor(data, context) {
    if (!data.img) {
      data.img = defaultItemImg[data.type];
    }
    super(data, context);
  }

}
